<?
 function dilhash( $language,$table,$col,$recordid ){
    return md5($table.$col.$recordid.$language); 
 }
 
 
 function dilguncelle($language,$table,$recordid,$col,$value){
    global $dbh;
    $hash=dilhash($language,$table,$col,$recordid);
    
    $sorgu = $dbh->prepare(" REPLACE INTO lang SET language = :language, hash = :hash, description = :description");
    $sorgu->execute(array(
        "language"=> $language,
        "hash"=> $hash, 
        "description"=> $value
    ));
 }



function cevir( $tablo,$kayit,$language){
    global $dbh;
    $id=$kayit["id"];
    foreach($kayit as $hucreanahtar=>$hucreveri){
        $hash=dilhash($language,$tablo,$hucreanahtar,$id);
        $sorgu = $dbh->prepare("SELECT * FROM lang Where hash=:id");
        $sorgu->execute(array(
            "id"=> $hash
        )); 
        $sonuc = $sorgu->fetch();
        if(isset($sonuc["description"])){
            $kayit[$hucreanahtar]=$sonuc["description"];
        }
    }
    return $kayit;
 
    
}